# encoding: ascii-8bit
# frozen-string-literal: false
#
# The module storing Ruby interpreter configurations on building.
#
# This file was created by mkconfig.rb when ruby was built.  It contains
# build information for ruby which is used e.g. by mkmf to build
# compatible native extensions.  Any changes made to this file will be
# lost the next time ruby is built.

module RbConfig
  RUBY_VERSION.start_with?("2.5.") or
    raise "ruby lib version (2.5.0) doesn't match executable version (#{RUBY_VERSION})"

  # Ruby installed directory.
  TOPDIR = File.dirname(__FILE__).chomp!("/lib/ruby/2.5.0/arm-linux-gnueabi")
  # DESTDIR on make install.
  DESTDIR = '' unless defined? DESTDIR
  # The hash configurations stored.
  CONFIG = {}
  CONFIG["DESTDIR"] = DESTDIR
  CONFIG["MAJOR"] = "2"
  CONFIG["MINOR"] = "5"
  CONFIG["TEENY"] = "0"
  CONFIG["PATCHLEVEL"] = "0"
  CONFIG["INSTALL"] = '/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/hosttools/install -c'
  CONFIG["EXEEXT"] = ""
  CONFIG["prefix"] = (TOPDIR || DESTDIR + "/usr")
  CONFIG["ruby_install_name"] = "$(RUBY_BASE_NAME)"
  CONFIG["RUBY_INSTALL_NAME"] = "$(RUBY_BASE_NAME)"
  CONFIG["RUBY_SO_NAME"] = "$(RUBY_BASE_NAME)"
  CONFIG["exec"] = "exec"
  CONFIG["ruby_pc"] = "ruby-2.5.pc"
  CONFIG["PACKAGE"] = "ruby"
  CONFIG["BUILTIN_TRANSSRCS"] = " enc/trans/newline.c"
  CONFIG["USE_RUBYGEMS"] = "YES"
  CONFIG["MANTYPE"] = "doc"
  CONFIG["vendorarchhdrdir"] = "$(vendorhdrdir)/$(sitearch)"
  CONFIG["sitearchhdrdir"] = "$(sitehdrdir)/$(sitearch)"
  CONFIG["rubyarchhdrdir"] = "$(rubyhdrdir)/$(arch)"
  CONFIG["vendorhdrdir"] = "$(rubyhdrdir)/vendor_ruby"
  CONFIG["sitehdrdir"] = "$(rubyhdrdir)/site_ruby"
  CONFIG["rubyhdrdir"] = "$(includedir)/$(RUBY_VERSION_NAME)"
  CONFIG["RUBY_SEARCH_PATH"] = ""
  CONFIG["UNIVERSAL_INTS"] = ""
  CONFIG["UNIVERSAL_ARCHNAMES"] = ""
  CONFIG["configure_args"] = " '--build=x86_64-linux' '--host=arm-nilrt-linux-gnueabi' '--target=arm-nilrt-linux-gnueabi' '--prefix=/usr' '--exec_prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--libexecdir=/usr/libexec' '--datadir=/usr/share' '--sysconfdir=/etc' '--sharedstatedir=/com' '--localstatedir=/var' '--libdir=/usr/lib' '--includedir=/usr/include' '--oldincludedir=/usr/include' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--disable-silent-rules' '--disable-dependency-tracking' '--with-libtool-sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot' '--disable-versioned-paths' '--disable-rpath' '--disable-dtrace' '--enable-shared' '--enable-load-relative' '--with-gmp=no' '--with-valgrind=no' 'build_alias=x86_64-linux' 'host_alias=arm-nilrt-linux-gnueabi' 'target_alias=arm-nilrt-linux-gnueabi' 'CC=arm-nilrt-linux-gnueabi-gcc  -march=armv7-a -mfpu=vfpv3 -mfloat-abi=softfp -mcpu=cortex-a9 --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot' 'CFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0=/usr/src/debug/ruby/2.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot-native= ' 'LDFLAGS=-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed' 'CPPFLAGS=' 'CXX=arm-nilrt-linux-gnueabi-g++  -march=armv7-a -mfpu=vfpv3 -mfloat-abi=softfp -mcpu=cortex-a9 --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot' 'CXXFLAGS= -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0=/usr/src/debug/ruby/2.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot-native=  -fvisibility-inlines-hidden' 'CPP=arm-nilrt-linux-gnueabi-gcc -E --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot  -march=armv7-a -mfpu=vfpv3 -mfloat-abi=softfp -mcpu=cortex-a9'"
  CONFIG["CONFIGURE"] = "configure"
  CONFIG["vendorarchdir"] = "$(vendorlibdir)/$(sitearch)"
  CONFIG["vendorlibdir"] = "$(vendordir)/$(ruby_version)"
  CONFIG["vendordir"] = "$(rubylibprefix)/vendor_ruby"
  CONFIG["sitearchdir"] = "$(sitelibdir)/$(sitearch)"
  CONFIG["sitelibdir"] = "$(sitedir)/$(ruby_version)"
  CONFIG["sitedir"] = "$(rubylibprefix)/site_ruby"
  CONFIG["rubyarchdir"] = "$(rubylibdir)/$(arch)"
  CONFIG["rubylibdir"] = "$(rubylibprefix)/$(ruby_version)"
  CONFIG["ruby_version"] = "2.5.0"
  CONFIG["sitearch"] = "$(arch)"
  CONFIG["arch"] = "arm-linux-gnueabi"
  CONFIG["sitearchincludedir"] = "$(includedir)/$(sitearch)"
  CONFIG["archincludedir"] = "$(includedir)/$(arch)"
  CONFIG["sitearchlibdir"] = "$(libdir)/$(sitearch)"
  CONFIG["archlibdir"] = "$(libdir)/$(arch)"
  CONFIG["libdirname"] = "libdir"
  CONFIG["RUBY_EXEC_PREFIX"] = ""
  CONFIG["RUBY_LIB_VERSION"] = ""
  CONFIG["RUBY_LIB_VERSION_STYLE"] = "3\t/* full */"
  CONFIG["RI_BASE_NAME"] = "ri"
  CONFIG["ridir"] = "$(datarootdir)/$(RI_BASE_NAME)"
  CONFIG["rubysitearchprefix"] = "$(rubylibprefix)/$(sitearch)"
  CONFIG["rubyarchprefix"] = "$(rubylibprefix)/$(arch)"
  CONFIG["MAKEFILES"] = "Makefile GNUmakefile"
  CONFIG["PLATFORM_DIR"] = ""
  CONFIG["THREAD_MODEL"] = "pthread"
  CONFIG["SYMBOL_PREFIX"] = ""
  CONFIG["EXPORT_PREFIX"] = ""
  CONFIG["COMMON_HEADERS"] = ""
  CONFIG["COMMON_MACROS"] = ""
  CONFIG["COMMON_LIBS"] = ""
  CONFIG["MAINLIBS"] = ""
  CONFIG["ENABLE_SHARED"] = "yes"
  CONFIG["DLDLIBS"] = " -lc"
  CONFIG["SOLIBS"] = "$(LIBS)"
  CONFIG["LIBRUBYARG_SHARED"] = "-l$(RUBY_SO_NAME)"
  CONFIG["LIBRUBYARG_STATIC"] = "-l$(RUBY_SO_NAME)-static"
  CONFIG["LIBRUBYARG"] = "$(LIBRUBYARG_SHARED)"
  CONFIG["LIBRUBY"] = "$(LIBRUBY_SO)"
  CONFIG["LIBRUBY_ALIASES"] = "$(LIBRUBY_SONAME) lib$(RUBY_SO_NAME).$(SOEXT)"
  CONFIG["LIBRUBY_SONAME"] = "lib$(RUBY_SO_NAME).$(SOEXT).$(RUBY_API_VERSION)"
  CONFIG["LIBRUBY_SO"] = "lib$(RUBY_SO_NAME).$(SOEXT).$(RUBY_PROGRAM_VERSION)"
  CONFIG["LIBRUBY_A"] = "lib$(RUBY_SO_NAME)-static.a"
  CONFIG["RUBYW_INSTALL_NAME"] = ""
  CONFIG["rubyw_install_name"] = ""
  CONFIG["EXTDLDFLAGS"] = ""
  CONFIG["EXTLDFLAGS"] = ""
  CONFIG["strict_warnflags"] = "-std=gnu99"
  CONFIG["warnflags"] = "-Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wno-tautological-compare -Wno-parentheses-equality -Wno-constant-logical-operand -Wno-self-assign -Wunused-variable -Wimplicit-int -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration -Wdeprecated-declarations -Wmisleading-indentation -Wno-packed-bitfield-compat -Wsuggest-attribute=noreturn -Wsuggest-attribute=format -Wimplicit-fallthrough=0 -Wduplicated-cond -Wrestrict"
  CONFIG["debugflags"] = "-ggdb3"
  CONFIG["optflags"] = "-O3"
  CONFIG["NULLCMD"] = ":"
  CONFIG["ENABLE_DEBUG_ENV"] = ""
  CONFIG["DLNOBJ"] = "dln.o"
  CONFIG["INSTALL_STATIC_LIBRARY"] = "no"
  CONFIG["EXECUTABLE_EXTS"] = ""
  CONFIG["ARCHFILE"] = ""
  CONFIG["LIBRUBY_RELATIVE"] = "yes"
  CONFIG["EXTOUT"] = ".ext"
  CONFIG["PREP"] = "$(arch)-fake.rb"
  CONFIG["CROSS_COMPILING"] = "yes"
  CONFIG["TEST_RUNNABLE"] = "no"
  CONFIG["rubylibprefix"] = "$(libdir)/$(RUBY_BASE_NAME)"
  CONFIG["setup"] = "Setup"
  CONFIG["ENCSTATIC"] = ""
  CONFIG["EXTSTATIC"] = ""
  CONFIG["STRIP"] = "arm-nilrt-linux-gnueabi-strip -S -x"
  CONFIG["SOEXT"] = "so"
  CONFIG["TRY_LINK"] = ""
  CONFIG["PRELOADENV"] = "LD_PRELOAD"
  CONFIG["LIBPATHENV"] = "LD_LIBRARY_PATH"
  CONFIG["RPATHFLAG"] = ""
  CONFIG["LIBPATHFLAG"] = " -L%s"
  CONFIG["LINK_SO"] = ""
  CONFIG["ASMEXT"] = "S"
  CONFIG["LIBEXT"] = "a"
  CONFIG["DLEXT2"] = ""
  CONFIG["DLEXT"] = "so"
  CONFIG["LDSHAREDXX"] = "$(CXX) -shared"
  CONFIG["LDSHARED"] = "$(CC) -shared"
  CONFIG["CCDLFLAGS"] = "-fPIC"
  CONFIG["STATIC"] = ""
  CONFIG["ARCH_FLAG"] = ""
  CONFIG["DLDFLAGS"] = "-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--compress-debug-sections=zlib"
  CONFIG["ALLOCA"] = ""
  CONFIG["dsymutil"] = ""
  CONFIG["codesign"] = ""
  CONFIG["POSTLINK"] = ":"
  CONFIG["WERRORFLAG"] = "-Werror"
  CONFIG["CHDIR"] = "cd -P"
  CONFIG["RMALL"] = "rm -fr"
  CONFIG["RMDIRS"] = "rmdir --ignore-fail-on-non-empty -p"
  CONFIG["RMDIR"] = "rmdir --ignore-fail-on-non-empty"
  CONFIG["CP"] = "cp"
  CONFIG["RM"] = "rm -f"
  CONFIG["PKG_CONFIG"] = "pkg-config"
  CONFIG["DOXYGEN"] = ""
  CONFIG["DOT"] = ""
  CONFIG["MAKEDIRS"] = "/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/hosttools/mkdir -p"
  CONFIG["MKDIR_P"] = "/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/hosttools/mkdir -p"
  CONFIG["INSTALL_DATA"] = "$(INSTALL) -m 644"
  CONFIG["INSTALL_SCRIPT"] = "$(INSTALL)"
  CONFIG["INSTALL_PROGRAM"] = "$(INSTALL)"
  CONFIG["SET_MAKE"] = ""
  CONFIG["LN_S"] = "ln -s"
  CONFIG["NM"] = "arm-nilrt-linux-gnueabi-nm"
  CONFIG["DLLWRAP"] = ""
  CONFIG["WINDRES"] = ""
  CONFIG["OBJCOPY"] = ":"
  CONFIG["OBJDUMP"] = "arm-nilrt-linux-gnueabi-objdump"
  CONFIG["ASFLAGS"] = ""
  CONFIG["AS"] = "arm-nilrt-linux-gnueabi-as "
  CONFIG["ARFLAGS"] = "rcD "
  CONFIG["AR"] = "arm-nilrt-linux-gnueabi-ar"
  CONFIG["RANLIB"] = "arm-nilrt-linux-gnueabi-ranlib"
  CONFIG["try_header"] = ""
  CONFIG["CC_VERSION_MESSAGE"] = "arm-nilrt-linux-gnueabi-gcc (GCC) 7.3.0\nCopyright (C) 2017 Free Software Foundation, Inc.\nThis is free software; see the source for copying conditions.  There is NO\nwarranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
  CONFIG["CC_VERSION"] = "$(CC) --version"
  CONFIG["CSRCFLAG"] = ""
  CONFIG["COUTFLAG"] = "-o "
  CONFIG["OUTFLAG"] = "-o "
  CONFIG["CPPOUTFILE"] = "-o conftest.i"
  CONFIG["GNU_LD"] = "yes"
  CONFIG["LD"] = "arm-nilrt-linux-gnueabi-ld --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot "
  CONFIG["GCC"] = "yes"
  CONFIG["EGREP"] = "/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/hosttools/grep -E"
  CONFIG["GREP"] = "/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/hosttools/grep"
  CONFIG["CPP"] = "arm-nilrt-linux-gnueabi-gcc -E --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot  -march=armv7-a -mfpu=vfpv3 -mfloat-abi=softfp -mcpu=cortex-a9"
  CONFIG["CXXFLAGS"] = " -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0=/usr/src/debug/ruby/2.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot-native=  -fvisibility-inlines-hidden"
  CONFIG["CXX"] = "arm-nilrt-linux-gnueabi-g++  -march=armv7-a -mfpu=vfpv3 -mfloat-abi=softfp -mcpu=cortex-a9 --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot"
  CONFIG["OBJEXT"] = "o"
  CONFIG["CPPFLAGS"] = " $(DEFS) $(cppflags)"
  CONFIG["LDFLAGS"] = "-L. -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fstack-protector -rdynamic -Wl,-export-dynamic"
  CONFIG["CFLAGS"] = " -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0=/usr/src/debug/ruby/2.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot-native=  -fPIC"
  CONFIG["CC"] = "arm-nilrt-linux-gnueabi-gcc  -march=armv7-a -mfpu=vfpv3 -mfloat-abi=softfp -mcpu=cortex-a9 --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.0/objects/feed/linuxU/armv7-a/gcc-4.7-oe/release/build/tmp-glibc/work/cortexa9-vfpv3-nilrt-linux-gnueabi/ruby/2.5.0-r0/recipe-sysroot"
  CONFIG["target_os"] = "linux-gnueabi"
  CONFIG["target_vendor"] = "nilrt"
  CONFIG["target_cpu"] = "arm"
  CONFIG["target"] = "arm-nilrt-linux-gnueabi"
  CONFIG["host_os"] = "linux-gnueabi"
  CONFIG["host_vendor"] = "nilrt"
  CONFIG["host_cpu"] = "arm"
  CONFIG["host"] = "arm-nilrt-linux-gnueabi"
  CONFIG["RUBY_VERSION_NAME"] = "$(RUBY_BASE_NAME)-$(ruby_version)"
  CONFIG["RUBYW_BASE_NAME"] = "rubyw"
  CONFIG["RUBY_BASE_NAME"] = "ruby"
  CONFIG["build_os"] = "linux-gnu"
  CONFIG["build_vendor"] = "pc"
  CONFIG["build_cpu"] = "x86_64"
  CONFIG["build"] = "x86_64-pc-linux-gnu"
  CONFIG["RUBY_API_VERSION"] = "$(MAJOR).$(MINOR)"
  CONFIG["RUBY_PROGRAM_VERSION"] = "2.5.0"
  CONFIG["HAVE_GIT"] = "yes"
  CONFIG["GIT"] = "git"
  CONFIG["cxxflags"] = "$(optflags) $(debugflags) $(warnflags)"
  CONFIG["cppflags"] = ""
  CONFIG["cflags"] = "$(optflags) $(debugflags) $(warnflags)"
  CONFIG["target_alias"] = "arm-nilrt-linux-gnueabi"
  CONFIG["host_alias"] = "arm-nilrt-linux-gnueabi"
  CONFIG["build_alias"] = "x86_64-linux"
  CONFIG["LIBS"] = "-lpthread -ldl -lcrypt -lm "
  CONFIG["ECHO_T"] = ""
  CONFIG["ECHO_N"] = "-n"
  CONFIG["ECHO_C"] = ""
  CONFIG["DEFS"] = "-D_FILE_OFFSET_BITS=64"
  CONFIG["mandir"] = "$(DESTDIR)/usr/share/man"
  CONFIG["localedir"] = "$(datarootdir)/locale"
  CONFIG["libdir"] = "$(exec_prefix)/lib"
  CONFIG["psdir"] = "$(docdir)"
  CONFIG["pdfdir"] = "$(docdir)"
  CONFIG["dvidir"] = "$(docdir)"
  CONFIG["htmldir"] = "$(docdir)"
  CONFIG["infodir"] = "$(DESTDIR)/usr/share/info"
  CONFIG["docdir"] = "$(datarootdir)/doc/$(PACKAGE)"
  CONFIG["oldincludedir"] = "/usr/include"
  CONFIG["includedir"] = "$(DESTDIR)/usr/include"
  CONFIG["localstatedir"] = "$(DESTDIR)/var"
  CONFIG["sharedstatedir"] = "$(DESTDIR)/com"
  CONFIG["sysconfdir"] = "$(DESTDIR)/etc"
  CONFIG["datadir"] = "$(DESTDIR)/usr/share"
  CONFIG["datarootdir"] = "$(prefix)/share"
  CONFIG["libexecdir"] = "$(DESTDIR)/usr/libexec"
  CONFIG["sbindir"] = "$(DESTDIR)/usr/sbin"
  CONFIG["bindir"] = "$(exec_prefix)/bin"
  CONFIG["exec_prefix"] = "$(DESTDIR)/usr"
  CONFIG["PACKAGE_URL"] = ""
  CONFIG["PACKAGE_BUGREPORT"] = ""
  CONFIG["PACKAGE_STRING"] = ""
  CONFIG["PACKAGE_VERSION"] = ""
  CONFIG["PACKAGE_TARNAME"] = ""
  CONFIG["PACKAGE_NAME"] = ""
  CONFIG["PATH_SEPARATOR"] = ":"
  CONFIG["SHELL"] = "/bin/bash"
  CONFIG["UNICODE_VERSION"] = "10.0.0"
  CONFIG["archdir"] = "$(rubyarchdir)"
  CONFIG["topdir"] = File.dirname(__FILE__)
  # Almost same with CONFIG. MAKEFILE_CONFIG has other variable
  # reference like below.
  #
  #   MAKEFILE_CONFIG["bindir"] = "$(exec_prefix)/bin"
  #
  # The values of this constant is used for creating Makefile.
  #
  #   require 'rbconfig'
  #
  #   print <<-END_OF_MAKEFILE
  #   prefix = #{Config::MAKEFILE_CONFIG['prefix']}
  #   exec_prefix = #{Config::MAKEFILE_CONFIG['exec_prefix']}
  #   bindir = #{Config::MAKEFILE_CONFIG['bindir']}
  #   END_OF_MAKEFILE
  #
  #   => prefix = /usr/local
  #      exec_prefix = $(prefix)
  #      bindir = $(exec_prefix)/bin  MAKEFILE_CONFIG = {}
  #
  # RbConfig.expand is used for resolving references like above in rbconfig.
  #
  #   require 'rbconfig'
  #   p Config.expand(Config::MAKEFILE_CONFIG["bindir"])
  #   # => "/usr/local/bin"
  MAKEFILE_CONFIG = {}
  CONFIG.each{|k,v| MAKEFILE_CONFIG[k] = v.dup}

  # call-seq:
  #
  #   RbConfig.expand(val)         -> string
  #   RbConfig.expand(val, config) -> string
  #
  # expands variable with given +val+ value.
  #
  #   RbConfig.expand("$(bindir)") # => /home/foobar/all-ruby/ruby19x/bin
  def RbConfig::expand(val, config = CONFIG)
    newval = val.gsub(/\$\$|\$\(([^()]+)\)|\$\{([^{}]+)\}/) {
      var = $&
      if !(v = $1 || $2)
	'$'
      elsif key = config[v = v[/\A[^:]+(?=(?::(.*?)=(.*))?\z)/]]
	pat, sub = $1, $2
	config[v] = false
	config[v] = RbConfig::expand(key, config)
	key = key.gsub(/#{Regexp.quote(pat)}(?=\s|\z)/n) {sub} if pat
	key
      else
	var
      end
    }
    val.replace(newval) unless newval == val
    val
  end
  CONFIG.each_value do |val|
    RbConfig::expand(val)
  end

  # call-seq:
  #
  #   RbConfig.ruby -> path
  #
  # returns the absolute pathname of the ruby command.
  def RbConfig.ruby
    File.join(
      RbConfig::CONFIG["bindir"],
      RbConfig::CONFIG["ruby_install_name"] + RbConfig::CONFIG["EXEEXT"]
    )
  end
end
CROSS_COMPILING = nil unless defined? CROSS_COMPILING
